| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ob::Sensor Class Reference

`#include <Sensor.hpp>`

## Public Member Functions
| Sensor (std::unique_ptr< SensorImpl > impl)
virtual | ~Sensor () noexcept
OBSensorType | type ()
| sensor type More...
const std::shared_ptr< StreamProfileList > | getStreamProfileList ()
| Get the list of stream profiles. More...
void | start (std::shared_ptr< StreamProfile > streamProfile, FrameCallback callback)
| Open frame data stream and set up a callback. More...
void | stop ()
| Stop stream. More...
void | switchProfile (std::shared_ptr< StreamProfile > streamProfile)
| Dynamically switch resolutions. More...

## Protected Attributes
std::unique_ptr< SensorImpl > | impl_

## Detailed Description

Definition at line 40 of file Sensor.hpp.

## Constructor & Destructor Documentation

ob::Sensor::Sensor | ( | std::unique_ptr< SensorImpl > | impl | ) |

virtual ob::Sensor::~Sensor | ( |  | ) |
| virtual noexcept

## Member Function Documentation

OBSensorType ob::Sensor::type | ( |  | ) |

sensor type

Returns
  OBSensorType returns the sensor type

const std::shared_ptr<StreamProfileList> ob::Sensor::getStreamProfileList | ( |  | ) |

Get the list of stream profiles.

Returns
  std::shared_ptr<StreamProfileList> returns the stream configuration list

void ob::Sensor::start | ( | std::shared_ptr< StreamProfile > | streamProfile,
|  | FrameCallback | callback
| ) |  |

Open frame data stream and set up a callback.

Parameters

  streamProfile | Stream configuration
  callback | Set the callback when frame data arrives

void ob::Sensor::stop | ( |  | ) |

Stop stream.

void ob::Sensor::switchProfile | ( | std::shared_ptr< StreamProfile > | streamProfile | ) |

Dynamically switch resolutions.

Parameters

  streamProfile | Resolution to switch

## Member Data Documentation

std::unique_ptr<SensorImpl> ob::Sensor::impl_
| protected

Definition at line 42 of file Sensor.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Sensor.hpp